package com.phm.manage.service.impl;

import com.phm.manage.domain.FaultAnalyzeResult;
import com.phm.manage.mapper.FaultAnalyzeResultMapper;
import com.phm.manage.service.IFaultAnalyzeResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 故障分析结果Service业务层处理
 *
 * @author phm
 * @date 2023-08-22
 */
@Service
public class FaultAnalyzeResultServiceImpl implements IFaultAnalyzeResultService {
    @Autowired
    private FaultAnalyzeResultMapper faultAnalyzeResultMapper;

    /**
     * 查询故障分析结果
     *
     * @param id 故障分析结果主键
     * @return 故障分析结果
     */
    @Override
    public FaultAnalyzeResult selectFaultAnalyzeResultById(Long id) {
        return faultAnalyzeResultMapper.selectFaultAnalyzeResultById(id);
    }

    /**
     * 查询故障分析结果列表
     *
     * @param faultAnalyzeResult 故障分析结果
     * @return 故障分析结果
     */
    @Override
    public List<FaultAnalyzeResult> selectFaultAnalyzeResultList(FaultAnalyzeResult faultAnalyzeResult) {
        return faultAnalyzeResultMapper.selectFaultAnalyzeResultList(faultAnalyzeResult);
    }

    /**
     * 新增故障分析结果
     *
     * @param faultAnalyzeResult 故障分析结果
     * @return 结果
     */
    @Override
    public int insertFaultAnalyzeResult(FaultAnalyzeResult faultAnalyzeResult) {
        return faultAnalyzeResultMapper.insertFaultAnalyzeResult(faultAnalyzeResult);
    }

    /**
     * 修改故障分析结果
     *
     * @param faultAnalyzeResult 故障分析结果
     * @return 结果
     */
    @Override
    public int updateFaultAnalyzeResult(FaultAnalyzeResult faultAnalyzeResult) {
        return faultAnalyzeResultMapper.updateFaultAnalyzeResult(faultAnalyzeResult);
    }

    /**
     * 批量删除故障分析结果
     *
     * @param ids 需要删除的故障分析结果主键
     * @return 结果
     */
    @Override
    public int deleteFaultAnalyzeResultByIds(Long[] ids) {
        return faultAnalyzeResultMapper.deleteFaultAnalyzeResultByIds(ids);
    }

    /**
     * 删除故障分析结果信息
     *
     * @param id 故障分析结果主键
     * @return 结果
     */
    @Override
    public int deleteFaultAnalyzeResultById(Long id) {
        return faultAnalyzeResultMapper.deleteFaultAnalyzeResultById(id);
    }
}
